| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Typedefs | Enumerations
LPC Public Types
IP: LPC Common Types

## Detailed Description

## Macros
#define | PARAM_SETSTATE(State) ((State == RESET) || (State == SET))
#define | PARAM_FUNCTIONALSTATE(State) ((State == DISABLE) || (State == ENABLE))
#define | INLINE inline

## Typedefs
typedef enum FlagStatus | IntStatus
typedef enum FlagStatus | SetState
typedef void(* | PFV )()
typedef int32_t(* | PFI )()
typedef char | CHAR
typedef uint8_t | UNS_8
typedef int8_t | INT_8
typedef uint16_t | UNS_16
typedef int16_t | INT_16
typedef uint32_t | UNS_32
typedef int32_t | INT_32
typedef int64_t | INT_64
typedef uint64_t | UNS_64
typedef bool | BOOL_32
typedef bool | BOOL_16
typedef bool | BOOL_8

## Enumerations
enum | Bool { FALSE = 0, TRUE = !FALSE }
| Boolean Type definition. More...
enum | FlagStatus { RESET = 0, SET = !RESET }
| Boolean Type definition. More...
enum | FunctionalState { DISABLE = 0, ENABLE = !DISABLE }
| Functional State Definition. More...
enum | Status { ERROR = 0, SUCCESS = !ERROR }
enum | TRANSFER_BLOCK_T { NONE_BLOCKING = 0, BLOCKING }

## Macro Definition Documentation

#define INLINE inline

Definition at line 205 of file lpc_types.h.

#define PARAM_FUNCTIONALSTATE | ( |  | State | ) | ((State == DISABLE) || (State == ENABLE))

Definition at line 69 of file lpc_types.h.

#define PARAM_SETSTATE | ( |  | State | ) | ((State == RESET) || (State == SET))

Definition at line 63 of file lpc_types.h.

## Typedef Documentation

typedef bool BOOL_16

16 bit boolean type

Definition at line 196 of file lpc_types.h.

typedef bool BOOL_32

32 bit boolean type

Definition at line 193 of file lpc_types.h.

typedef bool BOOL_8

8 bit boolean type

Definition at line 199 of file lpc_types.h.

typedef char CHAR

LPC type for character type

Definition at line 161 of file lpc_types.h.

typedef int16_t INT_16

LPC type for 16 bit signed value

Definition at line 173 of file lpc_types.h.

typedef int32_t INT_32

LPC type for 32 bit signed value

Definition at line 179 of file lpc_types.h.

typedef int64_t INT_64

LPC type for 64 bit signed value

Definition at line 182 of file lpc_types.h.

typedef int8_t INT_8

LPC type for 8 bit signed value

Definition at line 167 of file lpc_types.h.

typedef enum FlagStatus IntStatus

typedef int32_t(* PFI)()

Pointer to Function returning int32_t (any number of parameters)

Definition at line 88 of file lpc_types.h.

typedef void(* PFV)()

Pointer to Function returning Void (any number of parameters)

Definition at line 85 of file lpc_types.h.

typedef enum FlagStatus SetState

typedef uint16_t UNS_16

LPC type for 16 bit unsigned value

Definition at line 170 of file lpc_types.h.

typedef uint32_t UNS_32

LPC type for 32 bit unsigned value

Definition at line 176 of file lpc_types.h.

typedef uint64_t UNS_64

LPC type for 64 bit unsigned value

Definition at line 185 of file lpc_types.h.

typedef uint8_t UNS_8

LPC type for 8 bit unsigned value

Definition at line 164 of file lpc_types.h.

## Enumeration Type Documentation

enum Bool

Boolean Type definition.

Enumerator:

  FALSE |
  TRUE |

Definition at line 50 of file lpc_types.h.

enum FlagStatus

Boolean Type definition.

Flag Status and Interrupt Flag Status type definition

Enumerator:

  RESET |
  SET |

Definition at line 62 of file lpc_types.h.

enum FunctionalState

Functional State Definition.

Enumerator:

  DISABLE |
  ENABLE |

Definition at line 68 of file lpc_types.h.

enum Status

@ Status type definition

Enumerator:

  ERROR |
  SUCCESS |

Definition at line 74 of file lpc_types.h.

enum TRANSFER_BLOCK_T

Read/Write transfer type mode (Block or non-block)

Enumerator:

  NONE_BLOCKING | None Blocking type
  BLOCKING | Blocking type

Definition at line 79 of file lpc_types.h.